org.eclipse.eef.properties.ui.legacy.internal.eef2legacy

## Class LegacySection

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.eef2legacy.LegacySection

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ISection

    public class LegacySection
    extends java.lang.Object
    implements org.eclipse.ui.views.properties.tabbed.ISection

Wraps an `IEEFSection` to an `ISection`.

### Constructor Summary

Constructors
Constructor and Description
`LegacySection(IEEFSection eefSection)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `aboutToBeHidden()`
`void` `aboutToBeShown()`
`void` `createControls(org.eclipse.swt.widgets.Composite parent, org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage tabbedPropertySheetPage)`
`void` `dispose()`
`int` `getMinimumHeight()`
`void` `refresh()`
`void` `setInput(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`boolean` `shouldUseExtraSpace()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacySection

    public LegacySection(IEEFSection eefSection)

The constructor.

Parameters:
  `eefSection` - An EEF section

### Method Detail

#### createControls

    public void createControls(org.eclipse.swt.widgets.Composite parent,
                               org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage tabbedPropertySheetPage)

Specified by:
  `createControls` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
See Also:
  `ISection.createControls(Composite, TabbedPropertySheetPage)`

#### setInput

    public void setInput(org.eclipse.ui.IWorkbenchPart part,
                         org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `setInput` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
See Also:
  `ISection.setInput(IWorkbenchPart, ISelection)`

#### aboutToBeShown

    public void aboutToBeShown()

Specified by:
  `aboutToBeShown` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
See Also:
  `ISection.aboutToBeShown()`

#### aboutToBeHidden

    public void aboutToBeHidden()

Specified by:
  `aboutToBeHidden` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
See Also:
  `ISection.aboutToBeHidden()`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
See Also:
  `ISection.dispose()`

#### getMinimumHeight

    public int getMinimumHeight()

Specified by:
  `getMinimumHeight` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
See Also:
  `ISection.getMinimumHeight()`

#### shouldUseExtraSpace

    public boolean shouldUseExtraSpace()

Specified by:
  `shouldUseExtraSpace` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
See Also:
  `ISection.shouldUseExtraSpace()`

#### refresh

    public void refresh()

Specified by:
  `refresh` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
See Also:
  `ISection.refresh()`